package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFFC0 extends MwfRequest<MWFFC0, MWFFC0Response> {

    @Parameter(name = "CIF")
    MWFFC0 cif(String cif);
    @Parameter(name = "DATUM_CAS")
    MWFFC0 datumCas(java.util.Date datumCas);
    @Parameter(name = "DELKA_SCHUZKY")
    MWFFC0 delkaSchuzky(String delkaSchuzky);
    @Parameter(name = "DOKUMENTY")
    MWFFC0 dokumenty(String dokumenty);
    @Parameter(name = "EMAIL")
    MWFFC0 email(String email);
    @Parameter(name = "ID_POZADAVEK")
    MWFFC0 idPozadavek(Long idPozadavek);
    @Parameter(name = "JMENO")
    MWFFC0 jmeno(String jmeno);
    @Parameter(name = "KANAL")
    MWFFC0 kanal(String kanal);
    @Parameter(name = "LANG")
    MWFFC0 lang(String lang);
    @Parameter(name = "NOTE")
    MWFFC0 note(String note);
    @Parameter(name = "OM_CISLO")
    MWFFC0 omCislo(String omCislo);
    @Parameter(name = "POSILAT_SMS_FLAG")
    MWFFC0 posilatSmsFlag(String posilatSmsFlag);
    @Parameter(name = "PRODUKT_TYP")
    MWFFC0 produktTyp(String produktTyp);
    @Parameter(name = "PRODUKT_TYP_ID")
    MWFFC0 produktTypId(String produktTypId);
    @Parameter(name = "RC")
    MWFFC0 rc(String rc);
    @Parameter(name = "ROK_NAROZENI")
    MWFFC0 rokNarozeni(String rokNarozeni);
    @Parameter(name = "SSO_BANKER")
    MWFFC0 ssoBanker(String ssoBanker);
    @Parameter(name = "TELEFON")
    MWFFC0 telefon(String telefon);
}
